﻿# -*- coding: utf-8 -*-

import maya.OpenMaya as om
import maya.api.OpenMaya as om2

#### =======================================================================
__all__ = ("DagPath", "arDagPath", "MObject",)

#### ========================================================================
def DagPath(dagp1):
	u'''om1.dagpをom2.dagpへ'''
	return(om2.MSelectionList().add(dagp1.fullPathName()).getDagPath(0))

#### --------------------------------
def arDagPath(ar1):
	u'''[dagp1,...]を[dagp2,...]へ'''
	ar2 = []
	APD = ar2.append
	sl2 = om2.MSelectionList()
	for (i, dagp1) in enumerate(ar1):
		sl2.add(dagp1.fullPathName())
		APD(sl2.getDagPath(i))

#	iter = om2.MItSelectionList(sl2)
#	while(not iter.isDone()):
#		APD(iter.getDagPath())
#		iter.next()
	return(ar2)

#### ------------------------------------------------------------------------
def MObject(mo1):
	u'''om1.moをom2.moへ'''
	return(om2.MSelectionList().add(om.MFnDependencyNode(mo1).name()).getDependNode(0))
