﻿# -*- coding: utf-8 -*-

import maya.OpenMaya as om
import maya.api.OpenMaya as om2

#### =======================================================================
__all__ = ("DagPath", "MObject",)

#### ========================================================================
def DagPath(dagp2):
	u'''om2.dagpをom1.dagpへ'''
	sl = om.MSelectionList()
	sl.add(dagp2.fullPathName())
	dagp1 = om.MDagPath()
	sl.getDagPath(0, dagp1)
	return(dagp1)

#### ------------------------------------------------------------------------
def MObject(mo2):
	u'''om2.moをom1.moへ'''
	sl = om.MSelectionList()
	sl.add(om2.MFnDependencyNode(mo2).name())
	mo1 = om.MObject()
	sl.getDependNode(0, mo1)
	return(mo1)
